using System.Threading.Tasks;
using YBDevice.Application.ViewInfo;

namespace YBDevice.NWeb.Pages.Device
{
    /// <summary>
    /// Éè±¸ÀàÐÍ
    /// </summary>
    public class TypeModel : BaseModel
    {
        private IViewEngineService _viewEngineService;
        public ViewS2SDto viewdata = new ViewS2SDto();
        public TypeModel(IViewEngineService viewEngineService)
        {
            _viewEngineService = viewEngineService;
        }
        public async Task OnGetAsync()
        {
            viewdata = await _viewEngineService.GetBtnListAsync();
        }

    }
}
